package dao

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

type SuperCloudIssuanceUserRobotDao interface {
	GetSuperCloudIssuanceUserRobot() (m *models.SuperCloudIssuanceUserRobot, err error)
	SaveSuperCloudIssuanceUserRobot(id interface{}, m *models.SuperCloudIssuanceUserRobot, forceColums ...string) (affected int64, err error)
	GetCloudIssuanceUserFreeRobot() (m *models.SuperCloudIssuanceUserRobot, err error)
	InsertCloudIssuanceUserRobot(m *models.SuperCloudIssuanceUserRobot, officialDb *xorm.Engine) (id int, err error)
	FindOnLineCloudIssuanceUserRobot() (m []*models.SuperCloudIssuanceUserRobot, err error)
}
