package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewServiceAwardReturnBaseDb(engine *xorm.Engine) dao.ServiceAwardReturnBaseDao {
	return &ServiceAwardReturnBaseDb{Db: engine}
}

type ServiceAwardReturnBaseDb struct {
	Db *xorm.Engine
}

func (s ServiceAwardReturnBaseDb) GetServiceAwardReturnBase() (m *models.ServiceAwardReturnBase, err error) {
	m = new(models.ServiceAwardReturnBase)
	has, err := s.Db.Where("1 = 1").Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
