package dao

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/super_cloud_issuance/md"
)

type SuperCloudIssuancePackageOrdDao interface {
	GetCloudIssuancePackageOrd(ordNo string) (m *models.SuperCloudIssuancePackageOrd, err error)
	UserOrdList(uid interface{}, req md.BuyPackageRecordsRequest) (resp []*md.BuyPackageRecordsResponse, total int64, err error)
	SaveCloudIssuancePackageOrd(id interface{}, m *models.SuperCloudIssuancePackageOrd, forceColums ...string) (affected int64, err error)
	InsertSuperCloudIssuancePackageOrd(m *models.SuperCloudIssuancePackageOrd) (id int64, err error)
}
