﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

type HappyOrchardUserWatersLogDb struct {
	Db *xorm.Engine
}

func (h HappyOrchardUserWatersLogDb) InsertHappyOrchardUserWatersLog(m *models.HappyOrchardUserWatersLog) (int, error) {
	_, err := h.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (h HappyOrchardUserWatersLogDb) InsertHappyOrchardUserWatersLogBySess(session *xorm.Session, m *models.HappyOrchardUserWatersLog) (int, error) {
	_, err := session.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func NewHappyOrchardUserWatersLogDb(engine *xorm.Engine) dao.HappyOrchardUserWatersLogDao {
	return &HappyOrchardUserWatersLogDb{Db: engine}
}
