﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

type HoneyContributionExchangeRecordsWithFlowDb struct {
	Db *xorm.Engine
}

func NewHoneyContributionExchangeRecordsWithFlowDb(engine *xorm.Engine) dao.HoneyContributionExchangeRecordsWithFlowDao {
	return &HoneyContributionExchangeRecordsWithFlowDb{Db: engine}
}

func (h HoneyContributionExchangeRecordsWithFlowDb) HoneyContributionExchangeRecordsWithFlowInsert(session *xorm.Session, honeyContributionExchangeRecordsWithFlow *models.HoneyContributionExchangeRecordsWithFlow) (int64, error) {
	_, err := session.InsertOne(honeyContributionExchangeRecordsWithFlow)
	if err != nil {
		return 0, err
	}
	return honeyContributionExchangeRecordsWithFlow.Id, nil
}
