﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

func NewHoneyDividendsRecordsDb(engine *xorm.Engine) dao.HoneyDividendsRecordsDao {
	return &HoneyDividendsRecordsDb{Db: engine}
}

type HoneyDividendsRecordsDb struct {
	Db *xorm.Engine
}

func (h HoneyDividendsRecordsDb) UpdateHoneyDividendsRecords(m *models.HoneyDividendsRecords, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = h.Db.Where("id=?", m.Id).Cols(forceColums...).Update(m)
	} else {
		affected, err = h.Db.Where("id=?", m.Id).Update(m)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
