package models

import (
	"time"
)

type HoneyDividendsRecords struct {
	Id               int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Amount           string    `json:"amount" xorm:"not null default 0.00000000 comment('分红值') DECIMAL(10,8)"`
	UserNums         int       `json:"user_nums" xorm:"not null default 0 comment('参与分红人数') INT(11)"`
	TotalHoneyValues string    `json:"total_honey_values" xorm:"not null default 0.0000 comment('现场蜂蜜数') DECIMAL(10,4)"`
	Memo             string    `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	State            int32     `json:"state" xorm:"not null default 0 comment('状态(0:待分红 1:分红已完成)') TINYINT(1)"`
	CreateAt         time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt         time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
