package models

type SuperCloudIssuanceKeywordReplyWithActivateGroupList struct {
	Id              int    `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	ActivateGroupId int    `json:"activate_group_id" xorm:"not null default 0 comment('绑定激活群id') INT(11)"`
	Keyword         string `json:"keyword" xorm:"not null default '' comment('关键词内容') VARCHAR(255)"`
	Kind            int    `json:"kind" xorm:"not null default 1 comment('回复类型(1:文字 2:图片)') TINYINT(1)"`
	ReplyContent    string `json:"reply_content" xorm:"not null comment('回复内容') TEXT"`
	CreateAt        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt        string `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
