package models

type SuperCloudIssuanceUserGroupManage struct {
	Id                  int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid                 int    `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	IsOpenOut           int    `json:"is_open_out" xorm:"not null default 0 comment('开启踢人(0:关闭 1:开启)') TINYINT(1)"`
	OutSendFile         int    `json:"out_send_file" xorm:"not null default 0 comment('踢发文件(0:不踢 1:踢)') TINYINT(1)"`
	OutSendCard         int    `json:"out_send_card" xorm:"not null default 0 comment('踢发名片(0:不踢 1:踢)') TINYINT(1)"`
	OutSendLink         int    `json:"out_send_link" xorm:"not null default 0 comment('踢发链接(0:不踢 1:踢)') TINYINT(1)"`
	OutSendApplet       int    `json:"out_send_applet" xorm:"not null default 0 comment('踢发小程序(0:不踢 1:踢)') TINYINT(1)"`
	OutAutoAddBlackList int    `json:"out_auto_add_black_list" xorm:"not null default 0 comment('踢人时自动加入黑名单(0:不加 1:加)') TINYINT(1)"`
	CreateAt            string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt            string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
